Gisaf - Feature #6581

Add notes and tags fields to all geo models
06/09/2018 18:07 - Philippe May

Status: Closed Start date: 06/09/2018
Priority: Normal Due date:

Assignee: Philippe May % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The notes field is a free text, that is not meant to be processed, only stored for reference.
The tags field is also free text, but carry some information for classification.

Use cases:

- surveyors can add a note in the field for each point

- surveyors can add a tag, that can be used later for classification

- while doing line work, one can add notes or tags to the shapefile

This ticket involves:

- adding a notes field to all models (custom and auto, ie. from categories, ie. V_* and RAW_V*)
- tags are discussed in another ticket.

For tags, it might make more sense to store them in a specific table.

Related issues:
Related to Gisaf - Feature #6582: Add tags Closed

06/09/2018

History

#1 - 06/09/2018 18:34 - Philippe May
- Related to Feature #6582: Add tags added

#2 - 12/01/2019 16:28 - Philippe May

- Status changed from New to Resolved

Tags are implemented (see #6582).
Now, i'm not sure if a specific "comments" field makes sense any more: eg. we could have a tag with key: note.

So, marking this ticket resolved, can be reopened, eventually.

#3 - 08/02/2019 12:20 - Philippe May
- Status changed from Resolved to Closed

- Assignee set to Philippe May
